Bug 968597 - Review Request: nodejs-ejs - Embedded JavaScript templates for Node.js
Review Request: nodejs-ejs - Embedded JavaScript templates for Node.js
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 968607
  Show dependency treegraph
 
Reported: 2013-05-29 18:42 EDT by Jamie Nguyen
Modified: 2013-06-29 14:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: nodejs-ejs-0.8.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 01:46:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mhroncok: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-05-29 18:42:28 EDT
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodejs-ejs.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodejs-ejs-0.8.4-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Embedded JavaScript templates for Node.js.
Comment 1 Miro Hrončok 2013-06-07 06:18:18 EDT
%check:

module.js:340
    throw err;
          ^
Error: Cannot find module 'inherits'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Module.require (module.js:364:17)
    at require (module.js:380:17)
    at Object.<anonymous> (/usr/lib/node_modules/glob/glob.js:42:14)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:364:17)
Comment 2 Jamie Nguyen 2013-06-07 17:14:24 EDT
Hmm strange. I think this might have been a temporary buildroot issue or something. It builds fine for me on mock locally. Just did these scratch builds just to be sure:

Successful scratch build on rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5481918

Successful scratch build on f19:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5481943
Comment 3 Miro Hrončok 2013-06-07 18:01:56 EDT
For some reason, Fedora Review doesn't like this, but it build in regular mock just fine


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.

$ rpmlint ./nodejs-ejs-0.8.4-1.fc20.*
nodejs-ejs.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-ejs.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-ejs.noarch: W: only-non-binary-in-usr-lib
nodejs-ejs.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-ejs.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 5 warnings.


[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: Each %files section contains %defattr if rpm < 4.4
[-]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.

$ rpm -qlvp ./nodejs-ejs-0.8.4-1.fc20.noarch.rpm 
drwxr-xr-x    2 root    root                        0 čen  7 23:49 /usr/lib/node_modules/ejs
-rw-r--r--    1 root    root                    11372 říj  3  2012 /usr/lib/node_modules/ejs/ejs.js
-rw-r--r--    1 root    root                     6141 říj  3  2012 /usr/lib/node_modules/ejs/ejs.min.js
-rw-r--r--    1 root    root                       39 říj  3  2012 /usr/lib/node_modules/ejs/index.js
drwxr-xr-x    2 root    root                        0 čen  7 23:49 /usr/lib/node_modules/ejs/lib
-rw-r--r--    1 root    root                     8292 kvě  8 18:35 /usr/lib/node_modules/ejs/lib/ejs.js
-rw-r--r--    1 root    root                     3018 říj  3  2012 /usr/lib/node_modules/ejs/lib/filters.js
-rw-r--r--    1 root    root                      379 říj  3  2012 /usr/lib/node_modules/ejs/lib/utils.js
-rw-r--r--    1 root    root                      407 kvě  8 18:38 /usr/lib/node_modules/ejs/package.json
drwxr-xr-x    2 root    root                        0 čen  7 23:49 /usr/share/doc/nodejs-ejs-0.8.4
-rw-r--r--    1 root    root                     2525 kvě  8 18:39 /usr/share/doc/nodejs-ejs-0.8.4/History.md
-rw-r--r--    1 root    root                     5045 kvě  8 18:40 /usr/share/doc/nodejs-ejs-0.8.4/Readme.md
drwxr-xr-x    2 root    root                        0 čen  7 23:49 /usr/share/doc/nodejs-ejs-0.8.4/examples
-rw-r--r--    1 root    root                      588 říj  3  2012 /usr/share/doc/nodejs-ejs-0.8.4/examples/client.html
-rw-r--r--    1 root    root                      183 říj 29  2012 /usr/share/doc/nodejs-ejs-0.8.4/examples/functions.ejs
-rw-r--r--    1 root    root                      433 říj 29  2012 /usr/share/doc/nodejs-ejs-0.8.4/examples/functions.js
-rw-r--r--    1 root    root                      128 říj  3  2012 /usr/share/doc/nodejs-ejs-0.8.4/examples/list.ejs
-rw-r--r--    1 root    root                      224 říj  3  2012 /usr/share/doc/nodejs-ejs-0.8.4/examples/list.js


[-]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
     
$ sha256sum ejs-0.8.4.tgz 
$ rm ejs-0.8.4.tgz 
$ spectool -g nodejs-ejs.spec 
Getting http://registry.npmjs.org/ejs/-/ejs-0.8.4.tgz to ./ejs-0.8.4.tgz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 14745  100 14745    0     0  29935      0 --:--:-- --:--:-- --:--:-- 47108
$ sha256sum ejs-0.8.4.tgz 
58fe787dcc0e8dca98b359c38c5747f05babae1ec0e16999714325206cabfa3b  ejs-0.8.4.tgz
     
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).

$ rpm -q --requires -p nodejs-ejs-0.8.4-1.fc20.noarch.rpm 
nodejs(engine)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --provides -p nodejs-ejs-0.8.4-1.fc20.noarch.rpm 
nodejs-ejs = 0.8.4-1.fc20
npm(ejs) = 0.8.4

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[-]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
    
I've used SRPM, not the .spec, didn't check if they match.
 
Package is APPROVED.
Comment 4 Jamie Nguyen 2013-06-07 18:08:52 EDT
New Package SCM Request
=======================
Package Name: nodejs-ejs
Short Description: Embedded JavaScript templates for Node.js
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:
Comment 5 Gwyn Ciesla 2013-06-10 07:53:48 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-06-16 08:48:57 EDT
nodejs-ejs-0.8.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-ejs-0.8.4-1.fc19
Comment 7 Fedora Update System 2013-06-16 08:49:43 EDT
nodejs-ejs-0.8.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-ejs-0.8.4-1.fc18
Comment 8 Fedora Update System 2013-06-16 15:21:58 EDT
nodejs-ejs-0.8.4-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-06-26 22:04:09 EDT
nodejs-ejs-0.8.4-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-06-29 14:28:51 EDT
nodejs-ejs-0.8.4-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.